#ifndef REXRTGSOCKET_H
#define REXRTGSOCKET_H

class QUdpSocket;

class RexRtgSocket
{
public:
    RexRtgSocket();
    virtual ~RexRtgSocket();

    virtual bool send(unsigned int dst, const void* data, unsigned int len);

};

class RexRtgTransport
{
public:
    static bool initialize(unsigned int src_id);
    static RexRtgSocket* globalSocket();
};

#endif // REXRTGSOCKET_H
